## obs-downstream-keyer 0.2.1

=== CMakeLists.txt ===
project(downstream-keyer VERSION 0.2.1)
set(PROJECT_FULL_NAME "Downstream keyer")

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

set(downstream-keyer_HEADERS
	downstream-keyer-dock.hpp
	downstream-keyer.hpp
	name-dialog.hpp
	version.h)
set(downstream-keyer_SOURCES
	downstream-keyer-dock.cpp
	downstream-keyer.cpp
	name-dialog.cpp
	output-source.c)

if(WIN32)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(resource.rc.in downstream-keyer.rc)
	list(APPEND downstream-keyer_SOURCES
		downstream-keyer.rc)
endif()

add_library(downstream-keyer MODULE
	${downstream-keyer_HEADERS}
	${downstream-keyer_SOURCES})

target_link_libraries(downstream-keyer
		obs-frontend-api
		Qt5::Widgets
		libobs)

set_target_properties(downstream-keyer PROPERTIES FOLDER "plugins/exeldro")
install_obs_plugin_with_data(downstream-keyer data)

=== debian/changelog ===
obs-downstream-keyer (0.2.1-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control: little improvement in long description.
  * debian/copyright: updated packaging copyright years.
  * debian/install: put the l10n files in right place.
  * debian/rules: using variables to improve and standardize the building.
  * debian/tests/*: added to provide a trivial CI test. The current test checks
    if the lib loads.
  * debian/upstream/metadata: added Donation field.
  * debian/watch: created.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 25 Jan 2022 16:38:22 -0300

obs-downstream-keyer (0.2.1-1) experimental; urgency=medium

  * Initial release. (Closes: #1001275)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 07 Dec 2021 10:13:13 -0300

=== debian/control ===
Source: obs-downstream-keyer
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13), cmake, libobs-dev (>= 27.1), qtbase5-dev
Standards-Version: 4.6.0
Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
Vcs-Git: https://salsa.debian.org/debian/obs-downstream-keyer.git
Rules-Requires-Root: no

Package: obs-downstream-keyer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, obs-studio (>= 27.1)
Enhances: obs-studio
Description: plugin for OBS Studio that adds a Downstream Keyer (DSK) dock
 This plugin allows OBS to create overlays. Overlays are objects over a scene.
 Changing this scene will keep the overlay. This resource can be used to show
 logos, news or to show chat comments in live streams (there are some tutorials
 in the Internet to learn about the integration between this plugin and web
 browsers).
 .
 This plugin is compatible with OBS 27 or higher.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

include /usr/share/dpkg/pkg-info.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export QT_SELECT = qt5

# Exclude "obs-" from NAME and set a DEST
export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
export PLUGIN_DEST=debian/${DEB_SOURCE}/usr/lib/${DEB_TARGET_MULTIARCH}/obs-plugins

%:
	dh $@

execute_before_dh_install:
	mkdir -p ${PLUGIN_DEST}
	find -name lib${PLUGIN_NAME}.so -exec cp {} ${PLUGIN_DEST}/${PLUGIN_NAME}.so \;

=== debian/watch ===
version=4
https://github.com/exeldro/obs-downstream-keyer/releases .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

## obs-downstream-keyer 0.2.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,12 @@
-project(downstream-keyer VERSION 0.2.1)
+cmake_minimum_required(VERSION 3.18)
+project(downstream-keyer VERSION 0.2.3)
 set(PROJECT_FULL_NAME "Downstream keyer")
 
 configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)
 
+find_package(Qt5Widgets)
+
+set(CMAKE_AUTOMOC ON)
 set(downstream-keyer_HEADERS
 	downstream-keyer-dock.hpp
 	downstream-keyer.hpp

=== debian/changelog ===
obs-downstream-keyer (0.2.3-1) unstable; urgency=medium

  * New upstream version 0.2.3.
  * debian/patches/010_fix-cmake.patch: updated to make it compliant with the
    new upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 05 Jun 2022 10:56:35 -0300

obs-downstream-keyer (0.2.2-1) unstable; urgency=medium

  * New upstream version 0.2.2.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/010_fix-cmake.patch: updated to be compliant with new
    upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 04 Mar 2022 23:22:27 -0300

## obs-downstream-keyer 0.2.6

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.18)
endif()

project(downstream-keyer VERSION 0.2.6)
set(PROJECT_FULL_NAME "Downstream keyer")

# Set new UUIDs when you start to create a new plugin.
set(MACOS_PACKAGE_UUID "95568F40-B085-40C2-8F58-FF501E3CE94E")
set(MACOS_INSTALLER_UUID "479B4485-E699-42CE-929D-7C9D9AC9C412")

add_library(${PROJECT_NAME} MODULE)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

target_sources(${PROJECT_NAME} PRIVATE
	downstream-keyer-dock.cpp
	downstream-keyer.cpp
	name-dialog.cpp
	output-source.c
	downstream-keyer-dock.hpp
	downstream-keyer.hpp
	name-dialog.hpp
	obs-websocket-api.h
	version.h)

if(BUILD_OUT_OF_TREE)
  find_package(libobs REQUIRED)
  find_package(obs-frontend-api REQUIRED)
  include(cmake/ObsPluginHelpers.cmake)
  set(OBS_FRONTEND_API_NAME "obs-frontend-api")
else()
	set(OBS_FRONTEND_API_NAME "frontend-api")
endif()

if(OS_WINDOWS)
	get_filename_component(ISS_FILES_DIR "${CMAKE_BINARY_DIR}\\..\\package" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_FILES_DIR}" ISS_FILES_DIR)
	get_filename_component(ISS_PACKAGE_DIR "${CMAKE_PACKAGE_PREFIX}\\.." ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_PACKAGE_DIR}" ISS_PACKAGE_DIR)
	get_filename_component(ISS_SOURCE_DIR "${PROJECT_SOURCE_DIR}" ABSOLUTE)
	file(TO_NATIVE_PATH "${ISS_SOURCE_DIR}" ISS_SOURCE_DIR)
	configure_file("installer.iss.in"
			"${PROJECT_BINARY_DIR}/installer.iss"
		)
	configure_file(${CMAKE_CURRENT_SOURCE_DIR}/resource.rc.in ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	target_sources(${PROJECT_NAME} PRIVATE ${CMAKE_CURRENT_SOURCE_DIR}/${PROJECT_NAME}.rc)
	
elseif(OS_MACOS)
	set(MACOS_BUNDLEID "com.exeldro.${PROJECT_NAME}")
	set(MACOSX_PLUGIN_GUI_IDENTIFIER "${MACOS_BUNDLEID}")
	set(MACOSX_PLUGIN_BUNDLE_VERSION "${PROJECT_VERSION}")
	set(MACOSX_PLUGIN_SHORT_VERSION_STRING "1")
	configure_file(cmake/bundle/macos/installer-macos.pkgproj.in ${CMAKE_BINARY_DIR}/installer-macos.generated.pkgproj)
	target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
endif()

# lines if you want add Qt UI in your plugin
find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON)

target_link_libraries(${PROJECT_NAME}
		OBS::${OBS_FRONTEND_API_NAME}
		Qt::Widgets
		OBS::libobs)

if(BUILD_OUT_OF_TREE)
	if(NOT LIB_OUT_DIR)
		set(LIB_OUT_DIR "/lib/obs-plugins")
	endif()
	if(NOT DATA_OUT_DIR)
		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
	endif()
	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
	install(TARGETS ${PROJECT_NAME}
		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
	install(DIRECTORY data/locale
		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
else()
	target_include_directories(${PROJECT_NAME} PRIVATE
		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
	set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
endif()
setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-downstream-keyer (0.2.6-4) unstable; urgency=medium

  * debian/rules: removed temporary workaround to exclude extra installed
    files in favor of the '-DLINUX_PORTABLE=Off' argument for CMake.
  * debian/upstream/metadata: updated Donation field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 21 Feb 2023 18:32:26 -0300

obs-downstream-keyer (0.2.6-3) unstable; urgency=medium

  * debian/watch: using filenamemangle to generate right names for downloaded
    files.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 31 Jan 2023 12:43:53 -0300

obs-downstream-keyer (0.2.6-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.2.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/010_update-translation-pt-BR.patch: created to update pt_BR
    translation.
  * debian/rules: added a target to check if translation to pt_BR is updated.
  * debian/watch: improved the search rule, checking if the upstream forgotten
    to add a tag on GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 28 Jan 2023 23:29:44 -0300

obs-downstream-keyer (0.2.6-1) unstable; urgency=medium

  * New upstream version 0.2.6.
  * debian/copyright:
      - Added new rights for upstreams.
      - Converted the last paragraph of the GPL-2 in a comment.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 01 Dec 2022 20:13:15 -0300

obs-downstream-keyer (0.2.5-1) unstable; urgency=medium

  * New upstream version 0.2.5.
  * Ran wrap-and-sort.
  * debian/control:
      - Bumped Standards-Version to 4.6.1.
      - Bumped relationships from 27.1 to 28.0.1 for obs-studio and libobs.
      - Removed a sentence about minimum supported version for OBS in long
        description.
  * debian/patches/: removed all patches because de upstream fixed the source
    code. Thanks!
  * debian/rules: added a temporary workaround to remove duplicate files
    created by upstream.
  * debian/upstream/metadata: removed duplicate Donation field.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 11 Oct 2022 19:55:41 -0300

=== debian/control ===
Source: obs-downstream-keyer
Section: video
Priority: optional
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               libobs-dev (>= 28.0.1),
               qtbase5-dev
Standards-Version: 4.6.2
Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
Vcs-Git: https://salsa.debian.org/debian/obs-downstream-keyer.git
Rules-Requires-Root: no

Package: obs-downstream-keyer
Architecture: any
Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Description: plugin for OBS Studio that adds a Downstream Keyer (DSK) dock
 This plugin allows OBS to create overlays. Overlays are objects over a scene.
 Changing this scene will keep the overlay. This resource can be used to show
 logos, news or to show chat comments in live streams (there are some tutorials
 in the Internet to learn about the integration between this plugin and web
 browsers).

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,22 @@
 %:
 	dh $@
 
+execute_before_dh_auto_configure:
+	if [ "$(shell hostname)" = "canopus" ]; then \
+	    LINESUS=$(shell cat data/locale/en-US.ini | wc -l); \
+	    LINESPT=$(shell cat data/locale/pt-BR.ini | wc -l); \
+	    if [ "$$LINESUS" != "$$LINESPT" ]; then \
+	        echo "ERROR: Translation to pt_BR is out of date."; \
+	        exit 1; \
+	    fi; \
+	fi
+
+override_dh_auto_configure:
+	dh_auto_configure -- -DBUILD_OUT_OF_TREE=On \
+                             -DLIB_OUT_DIR=lib/${DEB_TARGET_MULTIARCH}/obs-plugins \
+                             -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
+                             -DLINUX_PORTABLE=Off
+
 execute_before_dh_install:
 	mkdir -p ${PLUGIN_DEST}
 	find -name lib${PLUGIN_NAME}.so -exec cp {} ${PLUGIN_DEST}/${PLUGIN_NAME}.so \;

## obs-downstream-keyer 0.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,15 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
+  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+    legacy_check()
+  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(downstream-keyer VERSION 0.2.6)
+project(downstream-keyer VERSION 0.3.2)
 set(PROJECT_FULL_NAME "Downstream keyer")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -69,20 +72,25 @@
 		OBS::libobs)
 
 if(BUILD_OUT_OF_TREE)
-	if(NOT LIB_OUT_DIR)
-		set(LIB_OUT_DIR "/lib/obs-plugins")
-	endif()
-	if(NOT DATA_OUT_DIR)
-		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
-	endif()
-	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
-	install(TARGETS ${PROJECT_NAME}
-		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
-	install(DIRECTORY data/locale
-		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+    if(NOT LIB_OUT_DIR)
+        set(LIB_OUT_DIR "/lib/obs-plugins")
+    endif()
+    if(NOT DATA_OUT_DIR)
+        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
+    endif()
+    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
+    install(TARGETS ${PROJECT_NAME}
+        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
+    install(DIRECTORY data/locale
+        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+    setup_plugin_target(${PROJECT_NAME})
 else()
-	target_include_directories(${PROJECT_NAME} PRIVATE
-		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
-	set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+    target_include_directories(${PROJECT_NAME} PRIVATE
+        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
+    if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+        set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+    else()
+        set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+        setup_plugin_target(${PROJECT_NAME})
+    endif()
 endif()
-setup_plugin_target(${PROJECT_NAME})

=== debian/changelog ===
obs-downstream-keyer (0.3.2-1) unstable; urgency=medium

  * New upstream version 0.3.2. (Closes: #1060976)
  * debian/control: changed qtbase5-dev by qt6-base-dev in Build-Depends field.
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-translation-pt-BR.patch: created to update pt_BR
    translation.
  * debian/rules:
      - Added DEB_CFLAGS_MAINT_APPEND variable to use -Wno-psabi to allow this
        plugin to build over i386 (and possible other architectures).
      - Removed no longer needed variable QT_SELECT=qt5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 09 May 2024 09:04:48 -0300

obs-downstream-keyer (0.2.7-2) unstable; urgency=medium

  * debian/copyright: updated upstream copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 17:56:13 -0300

obs-downstream-keyer (0.2.7-1) unstable; urgency=medium

  * New upstream version 0.2.7.
  * debian/control:
      - Added a Breaks field to make this plugin incompatible with
        obs-text-slideshow, no longer in Debian.
      - Bumped (build-)dependency of libobs-dev and obs-studio to 29.
  * debian/patches/010_update-translation-pt-BR.patch: dropped because the
    upstream applied this patch to the source code. Thanks.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 08 Nov 2023 13:07:53 -0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,7 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: cmake,
-               debhelper-compat (= 13),
-               libobs-dev (>= 28.0.1),
-               qtbase5-dev
+Build-Depends: cmake, debhelper-compat (= 13), libobs-dev (>= 29), qt6-base-dev
 Standards-Version: 4.6.2
 Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
 Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
@@ -14,8 +11,9 @@
 
 Package: obs-downstream-keyer
 Architecture: any
-Depends: obs-studio (>= 28.0.1), ${misc:Depends}, ${shlibs:Depends}
+Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
+Breaks: obs-text-slideshow (<= 1.5.2-3)
 Description: plugin for OBS Studio that adds a Downstream Keyer (DSK) dock
  This plugin allows OBS to create overlays. Overlays are objects over a scene.
  Changing this scene will keep the overlay. This resource can be used to show

## obs-downstream-keyer 0.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,12 @@
 # --- Detect if the plugin is build out of tree or not ---
 if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
   set(BUILD_OUT_OF_TREE OFF)
-  if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
-    legacy_check()
-  endif()
 else()
   set(BUILD_OUT_OF_TREE ON)
   cmake_minimum_required(VERSION 3.18)
 endif()
 
-project(downstream-keyer VERSION 0.3.2)
+project(downstream-keyer VERSION 0.3.3)
 set(PROJECT_FULL_NAME "Downstream keyer")
 
 # Set new UUIDs when you start to create a new plugin.
@@ -32,11 +29,17 @@
 	version.h)
 
 if(BUILD_OUT_OF_TREE)
-  find_package(libobs REQUIRED)
-  find_package(obs-frontend-api REQUIRED)
-  include(cmake/ObsPluginHelpers.cmake)
-  set(OBS_FRONTEND_API_NAME "obs-frontend-api")
+	find_package(libobs REQUIRED)
+	find_package(obs-frontend-api REQUIRED)
+	include(cmake/ObsPluginHelpers.cmake)
+	find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
+	set(OBS_FRONTEND_API_NAME "obs-frontend-api")
 else()
+	if(OBS_VERSION VERSION_GREATER_EQUAL 30.1.0)
+		find_package(Qt6 COMPONENTS Core Widgets)
+	else()
+		find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
+	endif()
 	set(OBS_FRONTEND_API_NAME "frontend-api")
 endif()
 
@@ -62,8 +65,6 @@
 	target_compile_options(${PROJECT_NAME} PRIVATE -Wall)
 endif()
 
-# lines if you want add Qt UI in your plugin
-find_qt(COMPONENTS Widgets COMPONENTS_LINUX Gui)
 set_target_properties(${PROJECT_NAME} PROPERTIES AUTOMOC ON AUTOUIC ON AUTORCC ON)
 
 target_link_libraries(${PROJECT_NAME}
@@ -72,25 +73,25 @@
 		OBS::libobs)
 
 if(BUILD_OUT_OF_TREE)
-    if(NOT LIB_OUT_DIR)
-        set(LIB_OUT_DIR "/lib/obs-plugins")
-    endif()
-    if(NOT DATA_OUT_DIR)
-        set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
-    endif()
-    set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
-    install(TARGETS ${PROJECT_NAME}
-        LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
-    install(DIRECTORY data/locale
-        DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
-    setup_plugin_target(${PROJECT_NAME})
+	if(NOT LIB_OUT_DIR)
+		set(LIB_OUT_DIR "/lib/obs-plugins")
+	endif()
+	if(NOT DATA_OUT_DIR)
+		set(DATA_OUT_DIR "/share/obs/obs-plugins/${PROJECT_NAME}")
+	endif()
+	set_target_properties(${PROJECT_NAME} PROPERTIES PREFIX "")
+	install(TARGETS ${PROJECT_NAME}
+		LIBRARY DESTINATION ${CMAKE_INSTALL_PREFIX}/${LIB_OUT_DIR})
+	install(DIRECTORY data/locale
+		DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATA_OUT_DIR})
+	setup_plugin_target(${PROJECT_NAME})
 else()
-    target_include_directories(${PROJECT_NAME} PRIVATE
-        "${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
-    if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
-        set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
-    else()
-        set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
-        setup_plugin_target(${PROJECT_NAME})
-    endif()
+	target_include_directories(${PROJECT_NAME} PRIVATE
+		"${CMAKE_SOURCE_DIR}/UI/obs-frontend-api")
+	if(OBS_CMAKE_VERSION VERSION_GREATER_EQUAL 3.0.0)
+		set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
+	else()
+		set_target_properties(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro")
+		setup_plugin_target(${PROJECT_NAME})
+	endif()
 endif()

=== debian/changelog ===
obs-downstream-keyer (0.3.3-2) unstable; urgency=medium

  * debian/control:
      - Added libxkbcommon-dev to Build-Depends field.
      - Bumped Standards-Version to 4.7.2.
  * debian/copyright: updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 23 Mar 2025 19:52:00 -0300

obs-downstream-keyer (0.3.3-1) unstable; urgency=medium

  * New upstream version 0.3.3.
  * debian/control: bumped Standards-Version to 4.7.0.
  * debian/patches/010_update-pt-BR.patch: updated to be compliant with the
    last upstream version.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 09 Dec 2024 10:59:14 -0300

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,12 @@
 Section: video
 Priority: optional
 Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), libobs-dev (>= 29), qt6-base-dev
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13),
+               cmake,
+               libobs-dev (>= 29),
+               libxkbcommon-dev,
+               qt6-base-dev
+Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
 Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
 Vcs-Git: https://salsa.debian.org/debian/obs-downstream-keyer.git

=== debian/watch ===
version=4

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-downstream-keyer/tags .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)

# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.

# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).

opts="searchmode=plain, \
      downloadurlmangle=s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/, \
      filenamemangle=s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/" \
https://obsproject.com/forum/resources/downstream-keyer.1254 .span.class..u-muted..(\d\S+)..span.

## obs-downstream-keyer 0.4.3

=== CMakeLists.txt ===
# --- Detect if the plugin is build out of tree or not ---
if(CMAKE_PROJECT_NAME STREQUAL "obs-studio")
  set(BUILD_OUT_OF_TREE OFF)
else()
  set(BUILD_OUT_OF_TREE ON)
  cmake_minimum_required(VERSION 3.16...3.26)
endif()
include("${CMAKE_CURRENT_SOURCE_DIR}/cmake/common/bootstrap.cmake" NO_POLICY_SCOPE)

project(${_name} VERSION ${_version})

include(compilerconfig)
include(defaults)
include(helpers)

add_library(${PROJECT_NAME} MODULE)

target_link_libraries(${PROJECT_NAME} PRIVATE OBS::libobs)

if(BUILD_OUT_OF_TREE)
  find_package(libobs REQUIRED)
  find_package(obs-frontend-api REQUIRED)
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::obs-frontend-api)
else()
  target_link_libraries(${PROJECT_NAME} PRIVATE OBS::frontend-api)
endif()

find_package(Qt6 COMPONENTS Widgets Core)
if(BUILD_OUT_OF_TREE)
  if(OS_LINUX OR OS_FREEBSD OR OS_OPENBSD)
    find_package(Qt6 REQUIRED Gui)
  endif()
endif()
target_link_libraries(${PROJECT_NAME} PRIVATE Qt::Core Qt::Widgets)

if((OS_LINUX OR OS_FREEBSD OR OS_OPENBSD) AND Qt_VERSION VERSION_LESS "6.9.0")
	target_link_libraries(${PROJECT_NAME} PRIVATE Qt::GuiPrivate)
endif()

target_compile_options(
${PROJECT_NAME} PRIVATE $<$<C_COMPILER_ID:Clang,AppleClang>:-Wno-quoted-include-in-framework-header
                                -Wno-comma>)
set_target_properties(${PROJECT_NAME} PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
set_target_properties(
${PROJECT_NAME}
PROPERTIES AUTOMOC ON
            AUTOUIC ON
            AUTORCC ON)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version.h.in ${CMAKE_CURRENT_SOURCE_DIR}/version.h)

if(OS_WINDOWS)
  configure_file(cmake/windows/resources/installer-Windows.iss.in "${CMAKE_CURRENT_BINARY_DIR}/installer-Windows.generated.iss")
endif()

target_sources(${PROJECT_NAME} PRIVATE
	downstream-keyer-dock.cpp
	downstream-keyer.cpp
	name-dialog.cpp
	output-source.c
	downstream-keyer-dock.hpp
	downstream-keyer.hpp
	name-dialog.hpp
	obs-websocket-api.h
	version.h)

if(BUILD_OUT_OF_TREE)
	set_target_properties_plugin(${CMAKE_PROJECT_NAME} PROPERTIES OUTPUT_NAME ${_name})
else()
	set_target_properties_obs(${PROJECT_NAME} PROPERTIES FOLDER "plugins/exeldro" PREFIX "")
endif()

=== debian/changelog ===
obs-downstream-keyer (0.4.3-0ubuntu1) resolute; urgency=medium

  * New upstream release 0.4.3
  * debian/control:
    - Build only for obs-studio supported architectures
    - Add missing build dependency qt6-base-private-dev
  * Remove upstreamed pt-BR patch

 -- Erich Eickmeyer <eeickmeyer@ubuntu.com>  Sat, 06 Dec 2025 18:56:26 -0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: obs-downstream-keyer
 Section: video
 Priority: optional
-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
                libobs-dev (>= 29),
                libxkbcommon-dev,
-               qt6-base-dev
+               qt6-base-dev,
+               qt6-base-private-dev
 Standards-Version: 4.7.2
 Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
 Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
@@ -14,7 +16,7 @@
 Rules-Requires-Root: no
 
 Package: obs-downstream-keyer
-Architecture: any
+Architecture: amd64 amd64v3 arm64 riscv64 s390x
 Depends: obs-studio (>= 29), ${misc:Depends}, ${shlibs:Depends}
 Enhances: obs-studio
 Breaks: obs-text-slideshow (<= 1.5.2-3)

## obs-downstream-keyer 0.4.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -40,7 +40,7 @@
 target_compile_options(
 ${PROJECT_NAME} PRIVATE $<$<C_COMPILER_ID:Clang,AppleClang>:-Wno-quoted-include-in-framework-header
                                 -Wno-comma>)
-set_target_properties(${PROJECT_NAME} PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>")
+set_target_properties(${PROJECT_NAME} PROPERTIES MSVC_RUNTIME_LIBRARY "MultiThreaded$<$<CONFIG:Debug>:Debug>DLL")
 set_target_properties(
 ${PROJECT_NAME}
 PROPERTIES AUTOMOC ON

=== debian/changelog ===
obs-downstream-keyer (0.4.4-1) unstable; urgency=medium

  * New upstream version 0.4.4.
  * debian/clean: added cmake/.CMakeBuildNumber.
  * debian/control:
      - Bumped Standards-Version to 4.7.3.
      - Changed from qt6-base-dev to qt6-base-private-dev in Build-Depends
        field.
      - Removed no longer needed "Priority: optional" field.
      - Removed no longer needed "Rules-Requires-Root: no" field.
      - Updated the relationship for libobs-dev in (Build-)Depends fields
        because this version of this plugin depends of OBS 31.1 or higher.
        (Closes: #1128464)
  * debian/copyright: updated upstream and packaging copyright years.
  * debian/patches/010_update-pt-BR.patch: removed because the upstream
    applied this patch. Thanks.
  * debian/rules: added override for blhc to ignore CMake ABI tests.
  * debian/watch: migrated to version 5.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 23 Feb 2026 15:53:59 -0300

=== debian/control ===
Source: obs-downstream-keyer
Section: video
Maintainer: Joao Eriberto Mota Filho <eriberto@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               libobs-dev (>= 31.1),
               libxkbcommon-dev,
               qt6-base-private-dev
Standards-Version: 4.7.3
Homepage: https://obsproject.com/forum/resources/downstream-keyer.1254/
Vcs-Browser: https://salsa.debian.org/debian/obs-downstream-keyer
Vcs-Git: https://salsa.debian.org/debian/obs-downstream-keyer.git

Package: obs-downstream-keyer
Architecture: any
Depends: obs-studio (>= 31.1), ${misc:Depends}, ${shlibs:Depends}
Enhances: obs-studio
Breaks: obs-text-slideshow (<= 1.5.2-3)
Description: plugin for OBS Studio that adds a Downstream Keyer (DSK) dock
 This plugin allows OBS to create overlays. Overlays are objects over a scene.
 Changing this scene will keep the overlay. This resource can be used to show
 logos, news or to show chat comments in live streams (there are some tutorials
 in the Internet to learn about the integration between this plugin and web
 browsers).

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export QT_SELECT = qt5
+export DEB_CFLAGS_MAINT_APPEND = -Wno-psabi
 
 # Exclude "obs-" from NAME and set a DEST
 export PLUGIN_NAME=$(shell echo ${DEB_SOURCE} | cut -d"-" -f2-)
@@ -29,6 +29,10 @@
                              -DDATA_OUT_DIR=share/obs/obs-plugins/${PLUGIN_NAME} \
                              -DLINUX_PORTABLE=Off
 
+# blhc should ignore CMake ABI tests.
+execute_before_dh_auto_build:
+	@echo 'blhc: ignore-line-regexp: /usr/bin/c\+\+ .*/Modules/CMakeCXXCompilerABI\.cpp .*'
+
 execute_before_dh_install:
 	mkdir -p ${PLUGIN_DEST}
 	find -name lib${PLUGIN_NAME}.so -exec cp {} ${PLUGIN_DEST}/${PLUGIN_NAME}.so \;

=== debian/watch ===
Version: 5

# The following rule is right, but the upstream frequently...
# https://github.com/exeldro/obs-downstream-keyer/tags .*/tags/(\d\S+)\.tar\.(?:bz2|gz|xz)
# The upstream frequently forgets to update the tag on GitHub, but he always
# updates the official homepage at obsproject.com (see Homepage field at
# debian/control file). The following rule is a workaround to check the current
# version on the official homepage and to call this version from the GitHub.
# LINTIAN will warn about the filenamemangle. The filenamemangle is needed
# because we are using jumps and workarounds to get the last version from the
# upstream. Consequently, the name got by uscan is an HTML code (this is trash,
# no filename, no version).
Source: https://obsproject.com/forum/resources/downstream-keyer.1254
Matching-Pattern: .span.class..u-muted..(\d\S+)..span.
Downloadurlmangle: s/.*u-muted..([\d\.]+).*/https:\/\/github.com\/exeldro\/@PACKAGE@\/archive\/refs\/tags\/$1\.tar\.gz/
Filenamemangle: s/.*muted..([\d\.]+)..span./@PACKAGE@-$1\.tar\.gz/
Searchmode: plain
